LVEXTEND(8)

NAME
lvextend - extend the size of a logical volume

SYNOPSIS
lvextend [--alloc AllocationPolicy] [-A/--autobackup y/n] [-d/--debug] [-h/-?/--help] [-i/--stripes Stripes [-I/--stripesize StripeSize]] {-l/--extents [+]LogicalExtentsNumber | -L/--size [+]LogicalVolumeSize[kKmMgGtT]} [-t/--test] [-v/--verbose] LogicalVolumePath [PhysicalVolumePath...]

DESCRIPTION
lvextend allows you to extend the size of a logical volume. Extension of snapshot logical volumes (see lvcreate(8) for information to create snapshots) is supported as well.

OPTIONS
See lvm for common options.

-l, --extents [+]LogicalExtentsNumber
    Extend or set the logical volume size in units of logical extents. With the + sign the value is added to the actual size of the logical volume and without it, the value is taken as an absolute one.

-L, --size [+]LogicalVolumeSize[kKmMgGtT]
    Extend or set the logical volume size in units in units of megabytes. A size suffix of M for megabytes, G for gigabytes or T for terabytes is optional. With the + sign the value is added to the actual size of the logical volume and without it, the value is taken as an absolute one.

-i, --stripes Stripes
    Gives the number of stripes for the extension. Not applicable to LVs using the original metadata LVM format, which must use a single value throughout.

-I, --stripesize StripeSize
    Gives the number of kilobytes for the granularity of the stripes. Not applicable to LVs using the original metadata LVM format, which must use a single value throughout.
    StripeSize must be 2^n (n = 2 to 9)

Examples
"lvextend -L +54 /dev/vg01/lvol10 /dev/sdk3" tries to extend the size of that logical volume by 54MB on physical volume /dev/sdk3. This is only possible if /dev/sdk3 is a member of volume group vg01 and there are enough free physical extents in it.

SEE ALSO
lvm(8), lvcreate(8), lvreduce(8), lvresize(8), lvchange(8)